## Script (Python) "get_owl_context"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=name='', int_type=0
##title=
##
# get_owl_context
#
# get_owl_context - get name and type input field and fill it
#
# (C) 2003-2004 by CC Open Computer Systems for the "Neuroinfo" project
# This is free software avaiable under the GPL license, see:
#   LICENSE.txt, README.txt for details.
# ==================================================================
from Products.PythonScripts.standard import html_quote
request = container.REQUEST
RESPONSE =  request.RESPONSE

ret = ''

try:
  name = str(name)
except:
  return ret

ret = context.REQUEST.get(name)

if int_type:
  try:
    ret = int(ret)
  except:
    ret = 0

return ret

